# thursday

what comes after [humpday?](https://github.com/microprediction/humpday)

**note:** i have a personal bias against bayesian optimizers.
these results may not represent them fairly (or at all).

## usage

```
python3 -m thursday
```

## prerequisites

* Python 3.10 or greater
* numpy 1.23
* *TODO*

## structure

* `thursday/candidates` contains wrappers around optimizers to minimize objective functions on the unit cube
* `thursday/external` contains code written by other authors (note their licenses!)
* `thursday/internal` contains original implementations of general-purpose optimizers
* `thursday/solutions` is responsible for generating `thursday/go_benchmark_lists.py`
* `thursday/utilities` contains no surprises
* `thursday/` contains everything else (for now)
